<?php

namespace Bixo\Company\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Bixo\Company\Http\Requests\CompanyActionsRequest;
use Bixo\Company\Actions\CompanyActions;

/**
 * Admin web controller class.
 */
class CompanyActionsController extends BaseController
{

    /**
     * Action controller function for company.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(CompanyActionsRequest $request, $action)
    {
        try {
            $company = CompanyActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('company::company.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('company/company/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('company/company/' . $action))
                ->redirect();
        }
    }
}
