<?php

namespace Bixo\Company\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Illuminate\Support\Str;
use Bixo\Company\Actions\CompanyExim;
use Bixo\Company\Http\Requests\CompanyEximRequest;

/**
 * Admin web controller class.
 */
class CompanyEximController extends BaseController
{
    /**
     * Action controller function for company.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(CompanyEximRequest $request, $exim)
    {
        try {
            $function = Str::camel($exim);
            $data = CompanyExim::$function($request);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('company:company.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('company/company/' . $exim))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('company/company/' . $exim))
                ->redirect();
        }
    }
}
