<?php

namespace Bixo\Company\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Company\Actions\CompanyReport;
use Bixo\Company\Http\Requests\CompanyReportRequest;

/**
 * Admin web controller class.
 */
class CompanyReportController extends BaseController
{
    /**
     * Action controller function for company.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(CompanyReportRequest $request, $report)
    {
        try {
        
            $this->model = app(Company::class);
            $data = CompanyReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('company::company.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('company/company/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('company/company/' . $report))
                ->redirect();
        }
    }
}
