<?php

namespace Bixo\Company\Policies;

use Bixo\Company\Models\Company;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait CompanyAction
{

    /**
     * Determine if the given user can copy the given company.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Company $company)
    {

        if ($authUser->canDo('company.company.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given company.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Company $company) {

        if ($authUser->canDo('company.company.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given company.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Company $company)
    {

        if ($authUser->canDo('company.company.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
