<?php

namespace Bixo\Company\Policies;

use Illuminate\Foundation\Auth\User as Authenticatable;

trait CompanyExim
{

    /**
     * Determine if the given user can approve the given company.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function import(Authenticatable $user)
    {
        if ($user->canDo('company.company.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given company.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function export(Authenticatable $user)
    {
        if ($user->canDo('company.company.export')) {
            return true;
        }

        return false;
    }
}
