<?php

namespace Bixo\Company\Policies;

use Bixo\Company\Models\Company;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait CompanyWorkflow
{

    /**
     * Determine if the given user can approve the given company.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function approve(Authenticatable $user, Company $company)
    {
        if ($user->canDo('company.company.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given company.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function submit(Authenticatable $user, Company $company)
    {
        if ($user->canDo('company.company.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given company.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function publish(Authenticatable $user, Company $company)
    {
        if ($user->canDo('company.company.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given company.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unpublish(Authenticatable $user, Company $company)
    {
        if ($user->canDo('company.company.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given company.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function archive(Authenticatable $user, Company $company)
    {
        if ($user->canDo('company.company.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given company.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unarchive(Authenticatable $user, Company $company)
    {
        if ($user->canDo('company.company.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given company.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function reject(Authenticatable $user, Company $company)
    {
        if ($user->canDo('company.company.reject')) {
            return true;
        }

        return false;
    }

}
