<?php

namespace Bixo\Company\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Bixo\Company\Events\CompanyAction;
use Bixo\Company\Events\CompanyWorkflow;
use Bixo\Company\Listeners\CompanyAction as CompanyActionListener;
use Bixo\Company\Listeners\CompanyWorkflow as CompanyWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        CompanyAction::class => [
            CompanyActionListener::class,
        ],
        CompanyWorkflow::class => [
            CompanyWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
